Bug 768550 - /lib/systemd/system/nfs-server.service does not reference dependency on rpcbind
/lib/systemd/system/nfs-server.service does not reference dependency on rpcbind
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-16 18:37 EST by Pete Travis
Modified: 2012-01-22 00:25 EST (History)
4 users (show)

See Also:
Fixed In Version: nfs-utils-1.2.5-4.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-22 00:25:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
testing dependencies and illustrating workaround (6.52 KB, application/octet-stream)
2011-12-27 21:22 EST, Pete Travis
no flags Details

  None (edit)
Description Pete Travis 2011-12-16 18:37:55 EST
Description of problem:
the NFS service fails to start unless the rpcbind service is running, but the dependency is not appropriately referenced in  /lib/systemd/system/nfs-server.service

Version-Release number of selected component (if applicable):
Name        : nfs-utils
Epoch       : 1
Version     : 1.2.5
Release     : 3.fc16
nfs-utils-1.2.5-3.fc16.src.rpm

Steps to Reproduce:
1.systemctl start nfs-server.service

  
Actual results:
Failed rpc calls, service does not start

Expected results:
systemctl starts rpcbind first, then proceeds to start the nfs service.

Additional info:

adding 'Wants=rpcbind.service' to /lib/systemd/system/nfs-server.service fixes this.

I just rebooted to test - my nfs mounts defined in /etc/fstab are still the slowest units to load...
Comment 1 Steve Dickson 2011-12-27 17:48:02 EST
(In reply to comment #0)
> Description of problem:
> the NFS service fails to start unless the rpcbind service is running, but the
> dependency is not appropriately referenced in 
> /lib/systemd/system/nfs-server.service
> 
[ sip ]

> adding 'Wants=rpcbind.service' to /lib/systemd/system/nfs-server.service fixes
> this.
> 
> I just rebooted to test - my nfs mounts defined in /etc/fstab are still the
> slowest units to load...
So the 
   After=syslog.target network.target rpcbind.service
line does not start cause rpcbind to be start before 
the nfs server??
Comment 2 Pete Travis 2011-12-27 21:22:26 EST
Created attachment 549758 [details]
testing dependencies and illustrating workaround

testing procedure
Comment 3 Pete Travis 2011-12-27 21:28:03 EST
After= does not cause rpcbind to be started with nfs-server.  the Wants= does cause rpcbind to be started with nfs-server.  I've attached the process I used to establish this, and my workaround/solution, hope it helps.
Comment 4 Jóhann B. Guðmundsson 2012-01-16 04:02:29 EST
Note that there is a new set of unit files in bug 769879 that you can take for a spin and test. 

Just follow what's mentioned in comment 2 

The nfs.target in that set of units already requires rpcbinds.service
Comment 5 Fedora Update System 2012-01-16 18:19:36 EST
nfs-utils-1.2.5-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nfs-utils-1.2.5-4.fc16
Comment 6 Fedora Update System 2012-01-17 15:24:10 EST
Package nfs-utils-1.2.5-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nfs-utils-1.2.5-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0618/nfs-utils-1.2.5-4.fc16
then log in and leave karma (feedback).
Comment 7 Pete Travis 2012-01-17 20:59:01 EST
With the updated nfs-utils, the nfs service can be started as expected.  I've added karma to the package, thank you!
Comment 8 Fedora Update System 2012-01-22 00:25:42 EST
nfs-utils-1.2.5-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.